import { HttpResponse } from '../../contracts/http-response.js';

declare function ok<T = any>(data: T, statusCode?: number): HttpResponse<T>;
declare function created<T = any>(data: T): HttpResponse<T>;
declare function noContent(): HttpResponse;
declare function genericError(error: any): HttpResponse<Error>;

export { created, genericError, noContent, ok };
